1. Access Credentials
Calven Developer Docs
  • Overview
  • Key Access Levels
  • Basic Authentication Overview
  • HMAC Authentication Overview
  • SDKs
  • Calven Data Models
  • Changelog
  • HMAC Authentication
    • Generate a token with an API key and HMAC
      POST
    • Generate a token with an API key and client secret
      POST
  • Presence
    • Presence Overview
    • Submit presence events
      POST
    • Submit presence events
      POST
  • Occupancy
    • Occupancy Overview
    • Submit occupancy events
      POST
  • Time off
    • Submit time off updates
      POST
  • Access Credentials
    • Submit access credentials
      POST
  • Warehouse - Basic Auth
    • Warehouse Overview
    • Users
      GET
    • Groups
      GET
    • Locations
      GET
    • Desks
      GET
    • Bookings & Attendance
      GET
    • Presence
      GET
    • User Actions Log
      GET
  • Warehouse - HMAC Auth
    • Warehouse Overview
    • Users
    • Groups
    • Locations
    • Desks
    • Bookings & Attendance
    • Presence
    • User Actions Log
  • Hierarchy Information
    • Org Hierarchy Information Overview
    • Submit group hierarchy relationships
    • Submit group hierarchy relationships
  • User Attributes
    • User Attributes Overview
    • Write directory user attributes
    • Write directory user attributes
  • Visitor Management
    • Submit visitor arrival events
    • Submit visitor arrival events
  • Parking
    • Retrieve parking bookings
    • Retrieve parking bookings
  • Org Hierarchy
  • Schemas
    • Schemas
      • LeaveRequestBody
      • TimeoffRequestBody
      • TimeOffEvent
      • TimeoffResponse
      • TimeoffEventResponse
    • DMPostUserAttributesRecordDto
    • DMPostUserAttributesBodyDto
    • DMPostUserAttributesResponseDto
    • ApiServiceException
    • VisitorArrivalEventDto
    • ResultCodes
    • CreatePresenceEventDto
    • DWChangeLogUserResponseDto
    • DWUserBookingAttendanceResponseDto
    • DWPresenceResponseDto
    • DWUsersResponseDto
    • DWLocationsResponseDto
    • DWDesksResponseDto
    • DWGroupsResponseDto
    • DMGroupRelationshipDto
    • DMPostUserAttributesRecordResponseDto
    • AccessCredentialUpdate
    • PresenceEventDto
    • EventResultDto
    • CreatePresenceEventResponseDto
    • OccupancyEventDto
    • CreateOccupancyEventDto
    • CreateOccupancyEventResponseDto
    • AuthRequestDto
    • OAuthRequestDto
    • OAuthResponseDto
    • AccessCredentialUpdateResultCodes
    • AccessCredentialUpdateResult
    • AccessCredentialUpdateResponse
    • AccessCredential
    • AccessCredentialUpdateRequest
    • AuthResponseDto
    • CreateVisitorArrivalEventDto
    • CreateVisitorArrivalEventResponseDto
    • TimeOffRequestBodyDto
    • TimeOffResponseDto
    • PutDMGroupHierarchyRelationshipBodyDto
    • ParkingBookingReportPrincipalDto
    • ParkingBookingReportSpotDto
    • ParkingBookingReportZoneDto
    • ParkingBookingReportAreaDto
    • GetParkingBookingReportResponseDto
  1. Access Credentials

Submit access credentials

POST
/v1/access-credentials
Submit access credentials to Calven.

Request

Body Params application/jsonRequired

Example
{
    "data": [
        {
            "username": "user.email@example.com",
            "updateId": "379EB561-0378-4718-ACEA-5669932208A9",
            "credentials": [
                {
                    "active": true,
                    "cardNumber": "1234567890",
                    "facilityCode": "100",
                    "scanData": [
                        "100:1234567890"
                    ],
                    "credentialType": "Mifare"
                }
            ]
        }
    ]
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api.calven.com/v1/access-credentials' \
--header 'Content-Type: application/json' \
--data-raw '{
    "data": [
        {
            "username": "user.email@example.com",
            "updateId": "379EB561-0378-4718-ACEA-5669932208A9",
            "credentials": [
                {
                    "active": true,
                    "cardNumber": "1234567890",
                    "facilityCode": "100",
                    "scanData": [
                        "100:1234567890"
                    ],
                    "credentialType": "Mifare"
                }
            ]
        }
    ]
}'

Responses

🟢201Created
application/json
Bodyapplication/json

Example
{
    "updateId": "379EB561-0378-4718-ACEA-5669932208A9",
    "result": "CARD_UPDATE_FAILED",
    "message": "User not found",
    "results": [
        {
            "cardNumber": "string",
            "facilityCode": "string",
            "result": "CARD_UPDATE_FAILED",
            "message": "string"
        }
    ]
}
Modified at 2026-08-06 10:43:53
Previous
Submit time off updates
Next
Warehouse Overview
Built with